<?php
// Custom fields group "Offer" from ACF integration
// panestates/configs_ACF/advanced-custom-field-export_Offer_BGEN.php
if(function_exists("register_field_group"))
{
	register_field_group(array (
		'id' => 'acf_offer',
		'title' => '[:en]Offer[:bg]Оферта[:]',
		'fields' => array (
			array (
				'key' => 'field_5b577f269cf72',
				'label' => '[:en]Offer for[:bg]Оферта за[:]',
				'name' => 'offer_type',
				'type' => 'select',
				'instructions' => '[:en]Select offer type[:bg]Изберете вид на офертата.[:]',
				'required' => 1,
				'choices' => array (
					'sale' => '[:en]Sale[:bg]Продажба[:]',
					'rent' => '[:en]Rent[:bg]Наем[:]',
				),
				'default_value' => 'sale',
				'allow_null' => 0,
				'multiple' => 0,
			),
			array (
				'key' => 'field_5b578a1cc61a2',
				'label' => '[:en]Property Type[:bg]Вид Имот[:]',
				'name' => 'property_type',
				'type' => 'select',
				'instructions' => '[:en]Select property type[:bg]Изберете вид на имота.[:]',
				'required' => 1,
				'choices' => array (
					'parcel' => '[:en]Parcel[:bg]Парцел[:]',
					'apartment' => '[:en]Apartment[:bg]Апартамент[:]',
					'office' => '[:en]Office[:bg]Офис[:]',
					'house' => '[:en]House[:bg]Къща[:]',
					'villa' => '[:en]Villa[:bg]Вила[:]',
					'building' => '[:en]Building[:bg]Сграда[:]',
				),
				'default_value' => '',
				'allow_null' => 0,
				'multiple' => 0,
			),
			array (
				'key' => 'field_5b578c7888c02',
				'label' => '[:en]Price[:bg]Цена[:]',
				'name' => 'price',
				'type' => 'number',
				'instructions' => '[:en]Offer price in Euro.[:bg]Оферта в евро.[:]',
				'required' => 1,
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				// 'append' => '[:en]BGN[:bg]лв.[:]',
				'append' => ' €',
				'min' => '',
				'max' => '',
				'step' => '',
			),
			array (
				'key' => 'field_5b578d4fa22a6',
				'label' => '[:en]Area[:bg]Площ[:]',
				'name' => 'area',
				'type' => 'number',
				'instructions' => '[:en]Area in square meters[:bg]Площ в квадратни метри[:]',
				'required' => 1,
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '[:en]m²[:bg]м²[:]',
				'min' => '',
				'max' => '',
				'step' => '',
			),
			array (
				'key' => 'field_5b578df117311',
				'label' => '[:en]Floors[:bg]Етажи[:]',
				'name' => 'floors',
				'type' => 'number',
				'instructions' => '[:en]Number of floors[:bg]Брой на етажи[:]',
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'min' => 0,
				'max' => 100,
				'step' => 1,
			),
			array (
				'key' => 'field_5b578e748e1c4',
				'label' => '[:en]Rooms[:bg]Стаи[:]',
				'name' => 'rooms',
				'type' => 'number',
				'instructions' => '[:en]Number of rooms[:bg]Брой на стаи[:]',
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'min' => 0,
				'max' => 100,
				'step' => 1,
			),
			array (
				'key' => 'field_5b578e9aa2d0a',
				'label' => '[:en]Bathrooms[:bg]бани[:]',
				'name' => 'bathrooms',
				'type' => 'number',
				'instructions' => '[:en]Number of bathrooms[:bg]Брой на бани[:]',
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'min' => 0,
				'max' => 100,
				'step' => 1,
			),
			array (
				'key' => 'field_5b578ebe5e8ee',
				'label' => '[:en]Neighbourhood[:bg]Квартал / Район[:]',
				'name' => 'neighborhood',
				'type' => 'text',
				'instructions' => '[:en]Common name of the neighborhood[:bg]Име на квартала / район[:]',
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => 20,
			),
            array (
				'key' => 'field_5b578f4516bf8',
				'label' => '[:en]Regulation[:bg]Регулация[:]',
				'name' => 'regulation',
				'type' => 'true_false',
				'instructions' => '[:en]Regulation status of the real estate[:bg]Статут на регулация на имота[:]',
				'message' => '[:en]Property is in regulation[:bg]Имот е в регулация[:]',
				'default_value' => 0,
			),
            array (
				'key' => 'field_5b579f4516bf8',
				'label' => '[:en]Featured[:bg]На фокус[:]',
				'name' => 'featured',
				'type' => 'true_false',
				'instructions' => '[:en]Offers that need more attention[:bg]Оферти, които се нуждаят от повече внимание[:]',
				'default_value' => 0,
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'property',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'acf_after_title',
			'layout' => 'no_box',
			'hide_on_screen' => array (
				0 => 'permalink',
			),
		),
		'menu_order' => 0,
	));
}

// Custom fields group "Pictures" from ACF integration
// panestates/configs_ACF/advanced-custom-field-export_Pictutres_BGEN.php
if(function_exists("register_field_group"))
{
	register_field_group(array (
		'id' => 'acf_pictures',
		'title' => '[:en]Pictures[:bg]Снимки[:]',
		'fields' => array (
			// array (
			// 	'key' => 'field_5b757919becea',
			// 	'label' => '[:en]Featured picture[:bg]Основна снимка[:]',
			// 	'name' => 'pictures_featured',
			// 	'type' => 'image',
			// 	'instructions' => '[:en]This is the picture that will show up in listings, sidebars...[:bg]Това е картината, която ще се появи в списъци, странични ленти...[:]',
			// 	'required' => 1,
			// 	'save_format' => 'object',
			// 	'preview_size' => 'medium',
			// 	'library' => 'uploadedTo',
			// ),
			array (
				'key' => 'field_5b57ae4dac665',
				'label' => '[:en]Pictures of the property[:bg]Снимки на имота[:]',
				'name' => 'pictures_gallery',
				'type' => 'photo_gallery',
				'instructions' => '[:en]These pictures will be displayed as a slideshow on property page.[:bg]Тези снимки ще бъдат показани като слайдшоу в обявата.[:]',
				'edit_modal' => 'Default',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'property',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'acf_after_title',
            'layout' => 'no_box',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 1,
	));
}
